declare const _default: {
    extends: string[];
    rules: {
        '@graphql-eslint/executable-definitions': string;
        '@graphql-eslint/fields-on-correct-type': string;
        '@graphql-eslint/fragments-on-composite-type': string;
        '@graphql-eslint/known-argument-names': string;
        '@graphql-eslint/known-directives': string;
        '@graphql-eslint/known-fragment-names': string;
        '@graphql-eslint/known-type-names': string;
        '@graphql-eslint/lone-anonymous-operation': string;
        '@graphql-eslint/naming-convention': (string | {
            VariableDefinition: string;
            OperationDefinition: {
                style: string;
                forbiddenPrefixes: string[];
                forbiddenSuffixes: string[];
            };
            FragmentDefinition: {
                style: string;
                forbiddenPrefixes: string[];
                forbiddenSuffixes: string[];
            };
        })[];
        '@graphql-eslint/no-anonymous-operations': string;
        '@graphql-eslint/no-deprecated': string;
        '@graphql-eslint/no-duplicate-fields': string;
        '@graphql-eslint/no-fragment-cycles': string;
        '@graphql-eslint/no-undefined-variables': string;
        '@graphql-eslint/no-unused-fragments': string;
        '@graphql-eslint/no-unused-variables': string;
        '@graphql-eslint/one-field-subscriptions': string;
        '@graphql-eslint/overlapping-fields-can-be-merged': string;
        '@graphql-eslint/possible-fragment-spread': string;
        '@graphql-eslint/provided-required-arguments': string;
        '@graphql-eslint/require-id-when-available': string;
        '@graphql-eslint/scalar-leafs': string;
        '@graphql-eslint/selection-set-depth': (string | {
            maxDepth: number;
        })[];
        '@graphql-eslint/unique-argument-names': string;
        '@graphql-eslint/unique-directive-names-per-location': string;
        '@graphql-eslint/unique-input-field-names': string;
        '@graphql-eslint/unique-variable-names': string;
        '@graphql-eslint/value-literals-of-correct-type': string;
        '@graphql-eslint/variables-are-input-types': string;
        '@graphql-eslint/variables-in-allowed-position': string;
    };
};
export default _default;
